ubuntu/+source/hplip:ubuntu/saucy-security

Last commit made on 2014-01-21
Get this branch:
git clone -b ubuntu/saucy-security https://git.launchpad.net/ubuntu/+source/hplip
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/saucy-security
Repository:
lp:ubuntu/+source/hplip

Recent commits

97a18f1... by Marc Deslauriers on 2014-01-20

Import patches-unapplied version 3.13.9-1ubuntu0.1 to ubuntu/saucy-security

Imported using git-ubuntu import.

Changelog parent: b2138b9e5cb802cfcd6d8c4e14290d98023c9b53

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.patch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402
  * SECURITY UPDATE: insecure upgrade feature
    - debian/non-shipped-files.txt, debian/hplip.install: don't ship
      hp-upgrade and upgrade.py.
    - CVE-2013-6427

b2138b9... by Mark Purcell on 2013-09-20

Import patches-unapplied version 3.13.9-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 109b0ed27762696af86c9e1043a241ac309f329d

New changelog entries:
  * New upstream release
  * Fix CVE-2013-4325 hplip: Insecure calling of polkit
    - Apply Redhat patch (Closes: #723716)
    - Urgency medium
  * Fix "Rebuild against pyppd 1.0.1" patch from OdyX (Closes: #722695)
  [ Till Kamppeter ]
  * New upstream release
     o Bug fixes and added hardware support
     o Added support for: HP Designjet Z5400 44-in PostScript ePrinter,
       Deskjet Ink Advantage 1018 Printer, 1518/2540/2545/2546 All-in-One
       Printer, 4515/4518 e-All-in-One Printer, Envy 4504 e-All-in-One,
       LaserJet Pro MFP M435nw, Officejet 4630/4632/4635 e-All-in-One Printer,
       OfficeJet Pro 8600 Premium e-AiO N911n, Photosmart 5521 e-All-in-One
       Printer
     o HP OfficeJet G55 is not detecting through USB (LP: #1209339)
     o Collate broken under hplip-3.13.7 as hpps sends SET COPIES (LP: #1209352)
     o Fix for plugin (firmware) installation and test page in 'hp-setup -i'
  * debian/patches/10_shebang_fixes.dpatch,
    debian/patches/hp-setup-prompt-for-custom-PPD.dpatch,
    debian/patches/kbsd.dpatch,
    debian/patches/make-commafy-correctly-work-with-python-2.dpatch,
    debian/patches/black-stripes-on-pcl5c-printouts.dpatch: Removed, applied
    upstream.
  * debian/patches/hp_photosmart_pro_b9100_support.dpatch,
    debian/patches/hp-check_debian.dpatch
    debian/patches/hp-mkuri-take-into-account-already-installed-plugin-also-for-exit-value.dpatch,
    debian/patches/simple-scan-as-default.dpatch,
    debian/patches/add-lidil-two-cartridge-modes.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch,
    debian/patches/hpaio-option-duplex.diff: Refreshed with quilt.
  * debian/patches/ubuntu-hp-mkuri-notification-text.dpatch: Manually adapted
    to the new source code.
  * debian/hplip.install, debian/rules: Removed hplipjs and hpcac filters, they
    are removed from HPLIP.
  * debian/hplip.dirs, debian/hplip.postinst, debian/hplip.postrm: Added
    /var/log/hp/tmp/ (775 root.lp), needed by hp-sendfax (LP: #1187132).
  * debian/printer-driver-postscript-hp.install: Some DesignJet PPDs do not
    have "ps" in their names and therefore did not get packaged.
  * debian/non-shipped-files.txt: Updated.
  * debian/rules: Remove the non-shipped files in the end of the install-stamp
    rule, as some of them get created after "make install" by this rule.
  * debian/rules: Do not create HAL .fdi file.

109b0ed... by Mark Purcell on 2013-08-17

Import patches-unapplied version 3.13.8-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 48639ecbdd9b7342771b2e144e301819d61da991

New changelog entries:
  * New Upstream Release
  * Update Vcs: header
  * Fixup field "section" in package hpijs-ppds
  * Update libhpmud-dev Description: - duplicate-long-description
  * Update debian/copyright - fixes copyright-refers-to-symlink-license
  * Update Description: - fixes extended-description-is-probably-too-short
  [ Till Kamppeter ]
  * New upstream release
     o Added support for: HP LaserJet Enterprise MFP M725/M725dn/M725dn/M725fw/
       M725z/M725z+, DesignJet T920/T1500 Postscript, Envy 4500/4502/5530/5535
       e-All-in-One, Deskjet 1010/1012, 1510/1512/1513/2540/2542 All-in-One,
       Deskjet Ink Advantage 1010/1015, 1510/1515/1516 All-in-One, 3540/3545/
       3546 e-All-in-One, Officejet Pro 3610/3620 Black and White e-All-in-One,
       Officejet 7610 Wide Format e-All-in-One
     o Added support for Avahi network printer browsing
     o Using SLP protocol by default to browse printer in hp-setup
     o Added 56-hpmud.rules and removed 56-hpmud_support, 86-hpmud_plugin,
       56-hpmud_add_printer, 55-hpmud and 40-hplip rules
     o Fixes:
        + LP: #233393 - Smart install disable popup is coming for HP pen drive
          and HP CD/DVD ROM
        + LP: #746814 - CVE-2010-4267 Remote Stack Overflow Vulnerability
        + LP: #1157701 - soapfax.py:139:setStationName:UnicodeEncodeError:
          'ascii' codec can't encode characters in position 0-3: ordinal not in
          range(128)
        + LP: #1163339 - hplip online documentation: manual tarball
          installation shows package dependancies which are out-of-date
        + LP: #1176470 - hp-setup fails with the message "ethernet cable is
          plugged in" - But it isn't
        + LP: #1179433 - cupsext/getPrinter leaks server connection on each call
        + LP: #1179454 - Cannot set filename when scanning with hp-scan from ADF
        + LP: #1186411 - Fix for firmware download during plug and play
        + LP: #1185866 - hp-config_usb_printer hangs in loop
        + LP: #1189333 - Fixed hplip markup documentation errors
        + LP: #1195221 - Unable to install plugin for network printer Laserjet
          2600n
        + LP: #1196335 - HPLIP 3.13.6 stop working after shutting down/rebooting
          the computer
        + LP: #1197306 - HP laserjet 1020 not printing on Ubuntu12.10 after
          power cycle the printer
  * debian/control: printer-driver-hpcups: Replaced dependency on
    ghostscript-cups by "cups-filters (>= 1.0.36) | ghostscript-cups" as
    Ghostscript's CUPS filters moved to cups-filters from cups-filters
    1.0.36/Ghostscript 9.08 on.
  * debian/patches/CVE-2010-4267.dpatch: Removed, included upstream.
  [ Mark Purcell ]
  * Removed 56-hpmud_support.rules suspend udev-rules-hp-mkuri-call-fix.dpatch
  * Added 56-hpmud.rules update create_hal_global_fdi_from_hpmud_rules.sh
  * Update hplip.preinst
  * Drop obsolete transitional dummy packages

48639ec... by Mark Purcell on 2013-05-05

Import patches-unapplied version 3.13.4-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e553d837a899416b4fa6720fc16596306c2e35d1

New changelog entries:
  * New upstream release
  * Removed "KDE from long description." (Closes: #706269)
  * Clarified "[hpijs] short description" (Closes: #706057)

e553d83... by Mark Purcell on 2013-03-09

Import patches-unapplied version 3.13.3-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: d08d991d2e903428c71e815ca7ff503b0dea70f2

New changelog entries:
  * New Upstream Release
    - Fixes CVE-2013-0200 (Closes: #701185)
    - Fixes "hp-check does not find installed Xsane" (Closes: #690362)
  * Ack NMU - Thanks Sebastian Ramacher
  * New upstream release
     o Added support for: HP Officejet Pro X451dw, X451dn, X476dn, X476dw MFP,
       X551dn, X551dw, X576dn, X576dw, Officejet 7110 Wide Format ePrinter,
       LaserJet 400 M401dne
     o Secure Printing Support for HP LaserJet 5500 and Hp LaserJet 8150
     o Updated Media Types for HP Color LaserJet CP5520 Series
     o Bug fixes
  * debian/patches/85_rebuild_python_ui.dpatch,
    debian/patches/try_libhpmud.so.0.dpatch,
    debian/patches/hp-mkuri-libnotify-so-4-support.dpatch: Manually updated to
    apply to the new upstream source code.
  * debian/patches/87_move_documentation.dpatch,
    debian/patches/hp_photosmart_pro_b9100_support.dpatch,
    debian/patches/ubuntu-hp-mkuri-notification-text.dpatch,
    debian/patches/simple-scan-as-default.dpatch,
    debian/patches/make-commafy-correctly-work-with-python-2.dpatch,
    debian/patches/remove-duplicate-entry-for-cp1700-in-drv-files.dpatch,
    debian/patches/CVE-2010-4267.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch: Refreshed with Quilt.
  * debian/patches/kde4-kdesudo-support.dpatch: Removed, not applicable any
    more.
  * debian/patches/hplip-syslog-fix-debug-messages-to-error.dpatch: Removed,
    applied upstream.
  * debian/rules: Make /usr/share/hplip/check-plugin.py executable.
  * debian/hplip.install: Added installation of new utilities hp-doctor and
    hp-logcapture.

d08d991... by Sebastian Ramacher on 2013-03-01

Import patches-unapplied version 3.12.6-3.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 26b68ff985457c1b7d19b205f0c105a442fd7b2b

New changelog entries:
  * Non-maintainer upload.
  * debian/patches/CVE-2013-0200.patch: Fix CVE-2013-0200 by applying the
    patch from Red Hat. Additionally increase the buffers to mitigate an
    regression and a buffer overflow. (Closes: #701185)

26b68ff... by Mark Purcell on 2012-06-24

Import patches-unapplied version 3.12.6-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8d3467a3d2d0f37ea57a84b6d00540041ca01e51

New changelog entries:
  * [!linux-any] --enable-libusb01_build

8d3467a... by Mark Purcell on 2012-06-24

Import patches-unapplied version 3.12.6-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 952c84c93e789a98daba209e1c4b5dd017ec0d78

New changelog entries:
  * Build-Depends: libusb-1.0-0-dev [linux-any], libusb-dev [!linux-any]
  * Update to Standards-Version: 3.9.3
  * Fix debhelper-but-no-misc-depends

952c84c... by Mark Purcell on 2012-06-23

Import patches-unapplied version 3.12.6-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: bf697268a1cc4865e730ea0e3c45d43530bfb72c

New changelog entries:
  * New Upstream Release
    - Fixes "print fails to HP Color LJ 3600, err=26" (Closes: #529884)
    - Fixes "UnicodeDecodeError: 'ascii' codec" (Closes: #635128)
    - Fixes "hp-setup: should allow input any characters" (Closes: #470201)
  * New upstream release
     o Added PIN to PRINT support for HP Color LaserJet CM4540 MFP
     o libusb-1.0 support added
     o Added support for: HP DeskJet Ink Advantage 2510, 3525, 4610, 4620,
       5525, 2510, 3520, OfficeJet 4610, 4620, Photosmart 5520, LaserJet 400
       M401, 400 MFP M425, LaserJet Enterprise 500 MFP M525, 500 Color MFP
       M575, LaserJet Professional P 1102w, P1107w, P1107, P1109w, P1109,
       M1137, M1138, M1139, P1567, P1568, P1569, P1607dn, P1608dn, P1609dn
  * debian/patches/hp-check-groups.dpatch: Removed, problem solved upstream.
  * debian/patches/fax-support-hp-laserjet-m1522nf-mfp.dpatch: Removed,
    applied upstream.
  * debian/patches/hp-check_debian.dpatch,
    debian/patches/hpaio-option-duplex.diff: Updated.
  * debian/patches/simple-scan-as-default.dpatch,
    debian/patches/make-commafy-correctly-work-with-python-2.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch:
    Refreshed with quilt.
  * debian/control: Switch over to libusb 1.0.x.
  * debian/control: Added build dependency on dh_autoreconf.
  * debian/rules, debian/printer-driver-hpcups.install,
    debian/printer-driver-postscript-hp.install,
    debian/printer-driver-hpijs.install, debian/hpijs-ppds.install: Install
    ppd-updater files with .ppd-updater extension, as the other packages do.

bf69726... by Mark Purcell on 2012-06-10

Import patches-unapplied version 3.12.4-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 3d673b14fc03f2f67ecab2df886e59b0253c791c

New changelog entries:
  * hplip-gui Replaces: hplip (<< 3.12.4-2)
    - Fixes "fails to upgrade from 'squeeze'" (Closes: #675307)
    - Add specific package.bug-script files